Debian Bug report logs - #598968
ITP: bsnes -- Accurate SNES/SuperFamicom emulator

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Manuel Bilderbeek <manuel@msxnet.org>

Date: Sun, 3 Oct 2010 14:39:01 UTC

Owned by: Tobias Hansen <tobias.han@gmx.de>

Severity: wishlist

Fixed in version bsnes/0.080-1

Done: Tobias Hansen <tobias.han@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#598968; Package wnpp. (Sun, 03 Oct 2010 14:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manuel Bilderbeek <manuel@msxnet.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 03 Oct 2010 14:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Manuel Bilderbeek <manuel@msxnet.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: bsnes -- The most accurate SNES/SuperFamicom emulator
Date: Sun, 03 Oct 2010 16:37:57 +0200
Package: wnpp
Severity: wishlist


* Package name    : bsnes
  Version         : 0.70
  Upstream Author : byuu
* URL             : http://byuu.org/bsnes/
* License         : GPL2
  Programming Lang: C++
  Description     : The most accurate SNES/SuperFamicom emulator

>From the web site:

bsnes is an emulator that began development on 2004-10-14. The purpose
of this emulator is a bit different from others: it focuses on accuracy,
debugging functionality, and clean code.

The emulator does not focus on things that would hinder accuracy. This
includes speed and game-specific hacks for compatibility. As a result,
the minimum system requirements for bsnes are very high.

The emulator itself was not derived from any existing emulator source
code, such as SNES9x. It was written from scratch by myself. Any
similarities to other emulators are merely coincidental.

It is a very easy to use emulator with great, great accuracy. Best I've
seen so far!




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#598968; Package wnpp. (Sun, 24 Oct 2010 16:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to tukuyomi <tukuyomi@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 24 Oct 2010 16:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 598968@bugs.debian.org (full text, mbox):

From: tukuyomi <tukuyomi@free.fr>
To: 598968@bugs.debian.org
Subject: RFP: bsnes -- The most accurate SNES/SuperFamicom emulator
Date: Sun, 24 Oct 2010 18:46:52 +0200
I'm already (trying to) maintain bsnes with the help of deb_helper.
If an official DD or DM is interested, I can help with the best of my 
knowledge
Regards!




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#598968; Package wnpp. (Thu, 18 Nov 2010 11:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brandon <winterknight@nerdshack.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 18 Nov 2010 11:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 598968@bugs.debian.org (full text, mbox):

From: Brandon <winterknight@nerdshack.com>
To: 598968@bugs.debian.org, control@bugs.debian.org, tukuyomi@free.fr
Subject: I intend to maintain a bsnes package
Date: Thu, 18 Nov 2010 03:40:28 -0800
retitle 598968 ITP: bsnes -- Accurate SNES/SuperFamicom emulator
owner 598968 !
thanks

I intend to maintain bsnes in the Debian repository. tukuyomi, I'd
appreciate your help, if you still want to offer it. Would you like to
be a co-maintainer?

-Brandon





Changed Bug title to 'ITP: bsnes -- Accurate SNES/SuperFamicom emulator' from 'RFP: bsnes -- The most accurate SNES/SuperFamicom emulator' Request was from Brandon <winterknight@nerdshack.com> to control@bugs.debian.org. (Thu, 18 Nov 2010 11:45:06 GMT) Full text and rfc822 format available.

Owner recorded as Brandon <winterknight@nerdshack.com>. Request was from Brandon <winterknight@nerdshack.com> to control@bugs.debian.org. (Thu, 18 Nov 2010 11:45:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Brandon <winterknight@nerdshack.com>:
Bug#598968; Package wnpp. (Thu, 18 Nov 2010 18:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to tukuyomi <tukuyomi@free.fr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Brandon <winterknight@nerdshack.com>. (Thu, 18 Nov 2010 18:15:03 GMT) Full text and rfc822 format available.

Message #24 received at 598968@bugs.debian.org (full text, mbox):

From: tukuyomi <tukuyomi@free.fr>
To: 598968@bugs.debian.org
Subject: Re: I intend to maintain a bsnes package
Date: Thu, 18 Nov 2010 19:13:21 +0100
> tukuyomi, I'd
> appreciate your help, if you still want to offer it. Would you like to
> be a co-maintainer?
Of course, I want to offer you my help :D
To be a co-maintainer would be cool too, but I don't really have experience with the REAL world of Debian Repositories and all.

But if we can share ideas on how to put bsnes in a package that conforms Debian Policy (because bsnes is a bit different), I'm all for it :)





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Brandon <winterknight@nerdshack.com>:
Bug#598968; Package wnpp. (Fri, 06 May 2011 10:24:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emil Langrock <emil.langrock@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Brandon <winterknight@nerdshack.com>. (Fri, 06 May 2011 10:24:48 GMT) Full text and rfc822 format available.

Message #29 received at 598968@bugs.debian.org (full text, mbox):

From: Emil Langrock <emil.langrock@gmx.de>
To: Manuel Bilderbeek <manuel@msxnet.org>
Cc: 598968@bugs.debian.org, tukuyomi <tukuyomi@free.fr>, Brandon <winterknight@nerdshack.com>, mednafen@packages.qa.debian.org
Subject: Re: RFP: bsnes -- The most accurate SNES/SuperFamicom emulator
Date: Fri, 6 May 2011 12:23:28 +0200
On Sunday 03 October 2010 16:37:57 you wrote:
> Package: wnpp
> Severity: wishlist
> 
> 
> * Package name    : bsnes
>   Version         : 0.70
>   Upstream Author : byuu
> * URL             : http://byuu.org/bsnes/
> * License         : GPL2
>   Programming Lang: C++
>   Description     : The most accurate SNES/SuperFamicom emulator
> 
> >>From the web site:
> bsnes is an emulator that began development on 2004-10-14. The purpose
> of this emulator is a bit different from others: it focuses on accuracy,
> debugging functionality, and clean code.
> 
> The emulator does not focus on things that would hinder accuracy. This
> includes speed and game-specific hacks for compatibility. As a result,
> the minimum system requirements for bsnes are very high.
> 
> The emulator itself was not derived from any existing emulator source
> code, such as SNES9x. It was written from scratch by myself. Any
> similarities to other emulators are merely coincidental.
> 
> It is a very easy to use emulator with great, great accuracy. Best I've
> seen so far!

Isn't it a bit useless to package bsnes? mednafen (in Debian) has bsnes 
already integrated [1] (afaik also with netplay support). Maybe it would be 
better to help the mednafen maintainer [2]. For example nobody showed any 
reactions to the ubuntu bugs (and maybe from other derivatives). Maybe you 
could also provide some insight how to use the different emulation cores or 
something like that. Also the debhelper compat could be updated to 8, dh could 
be used in debian/rules and line endings fixed in copyright file. If you want 
upstream help then you could try to get all patches since bsnes v059 be 
applied on top of the mednafen version.

[1] http://forum.fobby.net/index.php?t=msg&th=544&start=0&
[2] http://packages.qa.debian.org/m/mednafen.html




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Brandon <winterknight@nerdshack.com>:
Bug#598968; Package wnpp. (Fri, 06 May 2011 16:54:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manuel Bilderbeek <manuel@msxnet.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Brandon <winterknight@nerdshack.com>. (Fri, 06 May 2011 16:54:13 GMT) Full text and rfc822 format available.

Message #34 received at 598968@bugs.debian.org (full text, mbox):

From: Manuel Bilderbeek <manuel@msxnet.org>
To: Emil Langrock <emil.langrock@gmx.de>
Cc: 598968@bugs.debian.org, tukuyomi <tukuyomi@free.fr>, Brandon <winterknight@nerdshack.com>, mednafen@packages.qa.debian.org
Subject: Re: RFP: bsnes -- The most accurate SNES/SuperFamicom emulator
Date: Fri, 06 May 2011 18:45:44 +0200
Hi,

On 05/06/2011 12:23 PM, Emil Langrock wrote:
> Isn't it a bit useless to package bsnes? mednafen (in Debian) has bsnes
> already integrated [1] (afaik also with netplay support). Maybe it would be

I don't think it has it integrated:

$ mednafen --help | grep -i snes

has no output. It doesn't recognize SNES ROM files.

$ apt-cache policy mednafen
mednafen:
  Installed: 0.8.D.3-1
  Candidate: 0.8.D.3-1
  Version table:
 *** 0.8.D.3-1 0
        500 http://ftp.nl.debian.org/debian/ testing/main amd64 Packages
         -1 http://ftp.nl.debian.org/debian/ unstable/main amd64 Packages
        500 http://ftp.debian.nl/debian/ testing/main amd64 Packages
         -1 http://ftp.debian.nl/debian/ unstable/main amd64 Packages
        100 /var/lib/dpkg/status
-- 
Grtjs, Manuel

PS: MSX FOR EVER! (Questions? http://faq.msxnet.org/ )
PPS: Visit my homepage at http://manuel.msxnet.org/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Brandon <winterknight@nerdshack.com>:
Bug#598968; Package wnpp. (Fri, 06 May 2011 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emil Langrock <emil.langrock@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Brandon <winterknight@nerdshack.com>. (Fri, 06 May 2011 17:03:03 GMT) Full text and rfc822 format available.

Message #39 received at 598968@bugs.debian.org (full text, mbox):

From: Emil Langrock <emil.langrock@gmx.de>
To: Manuel Bilderbeek <manuel@msxnet.org>
Cc: 598968@bugs.debian.org, tukuyomi <tukuyomi@free.fr>, Brandon <winterknight@nerdshack.com>, mednafen@packages.qa.debian.org
Subject: Re: RFP: bsnes -- The most accurate SNES/SuperFamicom emulator
Date: Fri, 6 May 2011 18:59:38 +0200
On Friday 06 May 2011 18:45:44 Manuel Bilderbeek wrote:
> Hi,
> 
> On 05/06/2011 12:23 PM, Emil Langrock wrote:
> > Isn't it a bit useless to package bsnes? mednafen (in Debian) has bsnes
> > already integrated [1] (afaik also with netplay support). Maybe it would
> > be
> 
> I don't think it has it integrated:
> 
> $ mednafen --help | grep -i snes
> 
> has no output. It doesn't recognize SNES ROM files.
> 
> $ apt-cache policy mednafen
> mednafen:
>    Installed: 0.8.D.3-1
>    Candidate: 0.8.D.3-1
>    Version table:
>   *** 0.8.D.3-1 0
>          500 http://ftp.nl.debian.org/debian/ testing/main amd64 Packages
>           -1 http://ftp.nl.debian.org/debian/ unstable/main amd64 Packages
>          500 http://ftp.debian.nl/debian/ testing/main amd64 Packages
>           -1 http://ftp.debian.nl/debian/ unstable/main amd64 Packages
>          100 /var/lib/dpkg/status


It is

$ mednafen --help | grep -i snes
 Internal emulation modules: nes snes gb gba pce pce_fast lynx md pcfx ngp vb 
wswan sms gg cdplay

see the output. And it recognized snes rom files - tried it with 1997\ New\ 
Year\ FD\ \(PD\).smc

$ apt-cache policy mednafen
mednafen:
  Installed: 0.9.17.1-1
  Candidate: 0.9.17.1-1
  Version table:
 *** 0.9.17.1-1 0
          1 ftp://ftp.debian.org/debian/ experimental/main i386 Packages
        100 /var/lib/dpkg/status
     0.8.D.3-1 0
        500 ftp://ftp.debian.org/debian/ sid/main i386 Packages
        500 ftp://ftp.debian.org/debian/ testing/main i386 Packages




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#598968; Package wnpp. (Fri, 06 May 2011 19:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brandon <winterknight@nerdshack.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 06 May 2011 19:39:06 GMT) Full text and rfc822 format available.

Message #44 received at 598968@bugs.debian.org (full text, mbox):

From: Brandon <winterknight@nerdshack.com>
To: 598968@bugs.debian.org, Emil Langrock <emil.langrock@gmx.de>
Subject: bsnes and mednafen
Date: Fri, 6 May 2011 12:04:20 -0700
The latest stable versions of Mednafen, including the stable and
unstable packages in Debian, do not have any SNES support. However, it
looks like there is a WIP/Dev version of Medafen that includes bsnes to
emulate SNES. Our Debian experimental repository includes a Mednafen
WIP version, and looking at Emil's log it looks like the Debian
experimental version supports SNES to some degree.

I've been using Mednafen for several years. I like it. In the last few
weeks I've used it to play Zelda Minish Cap for GBA and Zelda Oracle of
Seasons for Gameboy. I didn't know that there were plans to include SNES
support before today.

The reason I created a bsnes package for Debian and tried to put it in
the repositories is because I wanted a great SNES emulator in Debian
(zsnes is only OK). I haven't found a Debian Developer who wants the
same thing enough to sponsor me, though.

Useless? Certainly not. It would be great to see bsnes in Debian,
either as its own package or in mednafen.

-Brandon





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Brandon <winterknight@nerdshack.com>:
Bug#598968; Package wnpp. (Sun, 08 May 2011 17:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Hansen <tobias.han@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Brandon <winterknight@nerdshack.com>. (Sun, 08 May 2011 17:12:03 GMT) Full text and rfc822 format available.

Message #49 received at 598968@bugs.debian.org (full text, mbox):

From: Tobias Hansen <tobias.han@gmx.de>
To: 598968@bugs.debian.org, winterknight@nerdshack.com
Subject: Maybe join the games team
Date: Sun, 08 May 2011 19:10:23 +0200
Hi,

You wrote:
>  The reason I created a bsnes package for Debian and tried to put it in
>  the repositories is because I wanted a great SNES emulator in Debian
>  (zsnes is only OK). I haven't found a Debian Developer who wants the
>  same thing enough to sponsor me, though.

I would like to see bsnes in Debian. Why don't you join the Debian games team [1]?
Ask on IRC or their mailing list and they will add your alioth account to the team.
Upload your packaging work to their svn or git and put the package on the upload queue [2].
I did this recently and my package was uploaded.

[1] http://wiki.debian.org/Games/Development
[2] http://wiki.debian.org/Games/Sponsors/Queue

Regards, Tobias





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Brandon <winterknight@nerdshack.com>:
Bug#598968; Package wnpp. (Wed, 03 Aug 2011 16:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Hansen <tobias.han@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Brandon <winterknight@nerdshack.com>. (Wed, 03 Aug 2011 16:15:03 GMT) Full text and rfc822 format available.

Message #54 received at 598968@bugs.debian.org (full text, mbox):

From: Tobias Hansen <tobias.han@gmx.de>
To: 598968@bugs.debian.org
Subject: Uploaded to pkg-games git
Date: Wed, 03 Aug 2011 18:13:35 +0200
owner 598968 !
thanks

I just found this mail from Brandon in my spam folder:

On 17.06.11 14:28:01 Brandon <winterknight@nerdshack.com> wrote:

> I'm not much interested in this anymore. You can take over my work if
> you want. The packaging is GPL-2.
>
> 0.72-3 is the most recent stable state of the work. You should start
> with that.
>
> Thanks for offering to help put bsnes in Debian.
>
> -Brandon

I uploaded the packaging to the pkg-games git and take over the ITP bug 
for now. Anyone who wants to help just has to join the games team and 
will get push access to the git. It can be found at 
http://anonscm.debian.org/gitweb/?p=pkg-games/bsnes.git;a=summary




Owner changed from Brandon <winterknight@nerdshack.com> to Tobias Hansen <tobias.han@gmx.de>. Request was from Tobias Hansen <tobias.han@gmx.de> to control@bugs.debian.org. (Wed, 03 Aug 2011 16:30:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 08 Aug 2011 08:06:13 GMT) Full text and rfc822 format available.

Reply sent to Tobias Hansen <tobias.han@gmx.de>:
You have taken responsibility. (Fri, 12 Aug 2011 13:52:11 GMT) Full text and rfc822 format available.

Notification sent to Manuel Bilderbeek <manuel@msxnet.org>:
Bug acknowledged by developer. (Fri, 12 Aug 2011 13:52:12 GMT) Full text and rfc822 format available.

Message #63 received at 598968-close@bugs.debian.org (full text, mbox):

From: Tobias Hansen <tobias.han@gmx.de>
To: 598968-close@bugs.debian.org
Subject: Bug#598968: fixed in bsnes 0.080-1
Date: Fri, 12 Aug 2011 13:47:11 +0000
Source: bsnes
Source-Version: 0.080-1

We believe that the bug you reported is fixed in the latest version of
bsnes, which is due to be installed in the Debian FTP archive:

bsnes_0.080-1.debian.tar.gz
  to main/b/bsnes/bsnes_0.080-1.debian.tar.gz
bsnes_0.080-1.dsc
  to main/b/bsnes/bsnes_0.080-1.dsc
bsnes_0.080-1_amd64.deb
  to main/b/bsnes/bsnes_0.080-1_amd64.deb
bsnes_0.080.orig.tar.bz2
  to main/b/bsnes/bsnes_0.080.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598968@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tobias Hansen <tobias.han@gmx.de> (supplier of updated bsnes package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 05 Aug 2011 14:02:01 +0200
Source: bsnes
Binary: bsnes
Architecture: source amd64
Version: 0.080-1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Tobias Hansen <tobias.han@gmx.de>
Description: 
 bsnes      - Accurate SNES/SuperFamicom emulator
Closes: 598968
Changes: 
 bsnes (0.080-1) unstable; urgency=low
 .
   * Initial release (Closes: #598968)
Checksums-Sha1: 
 d5fcb9073916853350af3059e9b3322ea456b2cc 1258 bsnes_0.080-1.dsc
 111d9771a86aafaf4606b2540eea645dddcdf24e 676126 bsnes_0.080.orig.tar.bz2
 24eed062702b2ad7c0d67a4d352a854b9dc57617 6783 bsnes_0.080-1.debian.tar.gz
 7aa049d3349bebc20db96c601d280480095fd32a 2249304 bsnes_0.080-1_amd64.deb
Checksums-Sha256: 
 9bd4f116c4b232679b45e4e883b1c8393dc7493f6c8cc173396392d0dc9d5b83 1258 bsnes_0.080-1.dsc
 ac499e92eaf37fee7096d0656c3fd0ac49417e905a52e5a0c98393f28de82f7e 676126 bsnes_0.080.orig.tar.bz2
 1d44734c6a5bff6cf6caa8c3af2619442fb22363e9aca31369c5139da7c76059 6783 bsnes_0.080-1.debian.tar.gz
 acf7b51ed3b0a9ea2710a57ae5d0ab3d668cd15ae494034250244d2b278bdb7e 2249304 bsnes_0.080-1_amd64.deb
Files: 
 b5aca16a6fe8fdc74c987038401caed9 1258 games optional bsnes_0.080-1.dsc
 a5697cc0a15cb22e628eea2c74396e88 676126 games optional bsnes_0.080.orig.tar.bz2
 55c825928bb9a9e00283c62a4547761a 6783 games optional bsnes_0.080-1.debian.tar.gz
 3da50f3fa7931d1ff18f6817e0154255 2249304 games optional bsnes_0.080-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk4/DkwACgkQsKTFpDfZQSxL1gCfZiBp5Ys2tXWv1RmqJXyZP2iJ
SB8AoJ8qwSxC0n9DKvhyEHslZRYXyEFa
=9Hg/
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tobias Hansen <tobias.han@gmx.de>:
Bug#598968; Package wnpp. (Fri, 12 Aug 2011 14:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tobias Hansen <tobias.han@gmx.de>. (Fri, 12 Aug 2011 14:48:03 GMT) Full text and rfc822 format available.

Message #68 received at 598968@bugs.debian.org (full text, mbox):

From: Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: 598968@bugs.debian.org
Cc: Tobias Hansen <tobias.han@gmx.de>
Subject: Re: Bug#598968: marked as done (ITP: bsnes -- Accurate SNES/SuperFamicom emulator)
Date: Fri, 12 Aug 2011 16:45:05 +0200
Hi,

great that bsnes has finally been uploaded to unstable. However,
the package is broken, it doesn't build from source (FTBFS). The
problem appears to be a hardwired version of gcc. The Makefile
explicitly calls gcc-4.5/g++-4.5 which are not available on
testing and unstable anymore.

The compilers are set in the following Makefiles in the bsnes source:

bsnes/nall/Makefile
snesfilter/nall/Makefile
snespurify/phoenix/nall/Makefile
snespurify/nall/Makefile

The compiler version is set to 4.5 when neither Windows or MacOS
are used:

ifeq ($(compiler),)
  ifeq ($(platform),win)
    compiler := gcc
  else ifeq ($(platform),osx)
    compiler := gcc-mp-4.5
  else
    compiler := gcc-4.5
  endif
endif

The C++ compiler binary is then generated by regexp replace
in the other Makefiles:

# compiler
c       := $(compiler) -std=gnu99
cpp     := $(subst cc,++,$(compiler)) -std=gnu++0x

for example in bsnes/Makefile.

The resulting build messages show the attempted invocation
of g++-4.5:

make[2]: Entering directory
`/build/buildd-bsnes_0.080-1-armel-UONOIG/bsnes-0.080/bsnes'
g++-4.5 -std=gnu++0x -O3 -fomit-frame-pointer
-I. -DPROFILE_COMPATIBILITY -c ui/main.cpp -o obj/ui-main.o
make[2]: g++-4.5: Command not found
make[2]: *** [obj/ui-main.o] Error 127

See the build logs here [1].

There is actually already a Debian patch which adresses this
issue for the subdirectory "snespurify", but apparently not
for the remaining subdirectories. The patch is found at
debian/patches/build-snespurify-with-g++-4.6.patch. Patching
the other Makefiles mentioned above should fix the FTBFS.

Regards,

Adrian

[1] https://buildd.debian.org/status/package.php?p=bsnes




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tobias Hansen <tobias.han@gmx.de>:
Bug#598968; Package wnpp. (Sat, 13 Aug 2011 00:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tobias Hansen <tobias.han@gmx.de>. (Sat, 13 Aug 2011 00:18:03 GMT) Full text and rfc822 format available.

Message #73 received at 598968@bugs.debian.org (full text, mbox):

From: Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: 598968@bugs.debian.org
Cc: Tobias Hansen <tobias.han@gmx.de>
Subject: Re: Bug#598968: marked as done (ITP: bsnes -- Accurate SNES/SuperFamicom emulator)
Date: Sat, 13 Aug 2011 02:13:05 +0200
On Fri, Aug 12, 2011 at 04:45:05PM +0200, Adrian Glaubitz wrote:
> 
> There is actually already a Debian patch which adresses this
> issue for the subdirectory "snespurify", but apparently not
> for the remaining subdirectories. The patch is found at
> debian/patches/build-snespurify-with-g++-4.6.patch. Patching
> the other Makefiles mentioned above should fix the FTBFS.

Ok, I figured out I was actually wrong about gcc/g++-4.5. Both
packages are present in testing/unstable and thus the problem can be
fixed by adding a depenency for these compilers to the Debian control
file.

However, I was still unable to build bsnes 0.080:

In file included from snes/chip/icd2/icd2.cpp:6:0:
snes/chip/icd2/interface/interface.cpp: In member function ‘virtual bool SNES::ICD2::input_poll(unsigned int)’:
snes/chip/icd2/interface/interface.cpp:105:26: error: could not convert ‘(GameBoy::Input)7u’ from ‘GameBoy::Input’ to ‘unsigned int’
snes/chip/icd2/interface/interface.cpp:106:26: error: could not convert ‘(GameBoy::Input)6u’ from ‘GameBoy::Input’ to ‘unsigned int’
snes/chip/icd2/interface/interface.cpp:107:26: error: could not convert ‘(GameBoy::Input)4u’ from ‘GameBoy::Input’ to ‘unsigned int’
snes/chip/icd2/interface/interface.cpp:108:26: error: could not convert ‘(GameBoy::Input)5u’ from ‘GameBoy::Input’ to ‘unsigned int’
snes/chip/icd2/interface/interface.cpp:109:26: error: could not convert ‘(GameBoy::Input)1u’ from ‘GameBoy::Input’ to ‘unsigned int’
snes/chip/icd2/interface/interface.cpp:110:26: error: could not convert ‘(GameBoy::Input)0u’ from ‘GameBoy::Input’ to ‘unsigned int’
snes/chip/icd2/interface/interface.cpp:111:26: error: could not convert ‘(GameBoy::Input)2u’ from ‘GameBoy::Input’ to ‘unsigned int’
snes/chip/icd2/interface/interface.cpp:112:26: error: could not convert ‘(GameBoy::Input)3u’ from ‘GameBoy::Input’ to ‘unsigned int’
make[2]: *** [obj/snes-icd2.o] Error 1
make[2]: Leaving directory `/home/glaubitz/bsnes/bsnes_v080-source/bsnes'
dh_auto_build: make -j1 profile=compatibility returned exit code 2
make[1]: *** [override_dh_auto_build] Error 2
make[1]: Leaving directory `/home/glaubitz/bsnes/bsnes_v080-source'
make: *** [build] Error 2

I updated the source tree to the latest upstream version 0.081 which
built fine for me.

In any case the dependencies should be updated to include gcc/g++-4.5
or all Makefiles should be patched to use gcc/g++-4.6.


Regards,

Adrian




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#598968; Package wnpp. (Sat, 13 Aug 2011 08:00:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Hansen <tobias.han@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 13 Aug 2011 08:00:22 GMT) Full text and rfc822 format available.

Message #78 received at 598968@bugs.debian.org (full text, mbox):

From: Tobias Hansen <tobias.han@gmx.de>
To: Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, 598968@bugs.debian.org
Subject: Re: Bug#598968: marked as done (ITP: bsnes -- Accurate SNES/SuperFamicom emulator)
Date: Sat, 13 Aug 2011 09:58:02 +0200
Am 13.08.2011 02:13, schrieb Adrian Glaubitz:
> On Fri, Aug 12, 2011 at 04:45:05PM +0200, Adrian Glaubitz wrote:
>> There is actually already a Debian patch which adresses this
>> issue for the subdirectory "snespurify", but apparently not
>> for the remaining subdirectories. The patch is found at
>> debian/patches/build-snespurify-with-g++-4.6.patch. Patching
>> the other Makefiles mentioned above should fix the FTBFS.
> Ok, I figured out I was actually wrong about gcc/g++-4.5. Both
> packages are present in testing/unstable and thus the problem can be
> fixed by adding a depenency for these compilers to the Debian control
> file.
>
> However, I was still unable to build bsnes 0.080:
>
> In file included from snes/chip/icd2/icd2.cpp:6:0:
> snes/chip/icd2/interface/interface.cpp: In member function ‘virtual bool SNES::ICD2::input_poll(unsigned int)’:
> snes/chip/icd2/interface/interface.cpp:105:26: error: could not convert ‘(GameBoy::Input)7u’ from ‘GameBoy::Input’ to ‘unsigned int’
> snes/chip/icd2/interface/interface.cpp:106:26: error: could not convert ‘(GameBoy::Input)6u’ from ‘GameBoy::Input’ to ‘unsigned int’
> snes/chip/icd2/interface/interface.cpp:107:26: error: could not convert ‘(GameBoy::Input)4u’ from ‘GameBoy::Input’ to ‘unsigned int’
> snes/chip/icd2/interface/interface.cpp:108:26: error: could not convert ‘(GameBoy::Input)5u’ from ‘GameBoy::Input’ to ‘unsigned int’
> snes/chip/icd2/interface/interface.cpp:109:26: error: could not convert ‘(GameBoy::Input)1u’ from ‘GameBoy::Input’ to ‘unsigned int’
> snes/chip/icd2/interface/interface.cpp:110:26: error: could not convert ‘(GameBoy::Input)0u’ from ‘GameBoy::Input’ to ‘unsigned int’
> snes/chip/icd2/interface/interface.cpp:111:26: error: could not convert ‘(GameBoy::Input)2u’ from ‘GameBoy::Input’ to ‘unsigned int’
> snes/chip/icd2/interface/interface.cpp:112:26: error: could not convert ‘(GameBoy::Input)3u’ from ‘GameBoy::Input’ to ‘unsigned int’
> make[2]: *** [obj/snes-icd2.o] Error 1
> make[2]: Leaving directory `/home/glaubitz/bsnes/bsnes_v080-source/bsnes'
> dh_auto_build: make -j1 profile=compatibility returned exit code 2
> make[1]: *** [override_dh_auto_build] Error 2
> make[1]: Leaving directory `/home/glaubitz/bsnes/bsnes_v080-source'
> make: *** [build] Error 2
>
> I updated the source tree to the latest upstream version 0.081 which
> built fine for me.
>
> In any case the dependencies should be updated to include gcc/g++-4.5
> or all Makefiles should be patched to use gcc/g++-4.6.
>
>
> Regards,
>
> Adrian

Thanks, the new package is waiting to be uploaded at 
http://mentors.debian.net/debian/pool/main/b/bsnes/bsnes_0.081-1.dsc
I have a problem with pbuilder at the moment, otherwise I would have 
tested building with it.

Regards, Tobias





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Tobias Hansen <tobias.han@gmx.de>:
Bug#598968; Package wnpp. (Sat, 13 Aug 2011 10:39:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Tobias Hansen <tobias.han@gmx.de>. (Sat, 13 Aug 2011 10:39:17 GMT) Full text and rfc822 format available.

Message #83 received at 598968@bugs.debian.org (full text, mbox):

From: Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Tobias Hansen <tobias.han@gmx.de>
Cc: 598968@bugs.debian.org
Subject: Re: Bug#598968: marked as done (ITP: bsnes -- Accurate SNES/SuperFamicom emulator)
Date: Sat, 13 Aug 2011 12:37:24 +0200
On Sat, Aug 13, 2011 at 09:58:02AM +0200, Tobias Hansen wrote:
> 
> Thanks, the new package is waiting to be uploaded at
> http://mentors.debian.net/debian/pool/main/b/bsnes/bsnes_0.081-1.dsc
> I have a problem with pbuilder at the moment, otherwise I would have
> tested building with it.

Thanks for the quick reply!

If pbuilder doesn't work, you can alternatively try using sbuild.

As root, run:

apt-get install sbuild
sbuild-createchroot wheezy /var/lib/sbuild/wheezy ftp://ftp.de.debian.org/debian
sbuild-adduser glaubitz

Then, as normal user:

cp /usr/share/doc/sbuild/examples/example.sbuildrc /home/glaubitz/.sbuildrc
cd /path/to/some/space
mkdir bsnes
sbuild -d wheezy http://mentors.debian.net/debian/pool/main/b/bsnes/bsnes_0.081-1.dsc

That should easily build your package.

Adrian




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#598968; Package wnpp. (Sat, 13 Aug 2011 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tobias Hansen <tobias.han@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 13 Aug 2011 20:27:03 GMT) Full text and rfc822 format available.

Message #88 received at 598968@bugs.debian.org (full text, mbox):

From: Tobias Hansen <tobias.han@gmx.de>
To: Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Cc: 598968@bugs.debian.org
Subject: Re: Bug#598968: marked as done (ITP: bsnes -- Accurate SNES/SuperFamicom emulator)
Date: Sat, 13 Aug 2011 22:26:19 +0200
Am 13.08.2011 12:37, schrieb Adrian Glaubitz:
> If pbuilder doesn't work, you can alternatively try using sbuild.
>

Thanks, I already got pbuilder running and tested the new package.

Regards, Tobias




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 Sep 2011 07:34:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:19:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.